{% extends 'base.html.twig' %}

{% block title %}
	{{ courses.name }}
{% endblock %}
{% block body %}

	<div class="container">
		<h1 class="display-4">{{ courses.name }}</h1>
	</div>

	<nav class="container container-tab">
		<div class="nav nav-tabs" id="nav-tab" role="tablist">
			<a class="nav-item nav-link active" id="nav-home-tab" data-toggle="tab" href="#nav-home" role="tab" aria-controls="nav-home" aria-selected="true">Description</a>
			<a class="nav-item nav-link" id="nav-detail-tab" data-toggle="tab" href="#nav-detail" role="tab" aria-controls="nav-detail" aria-selected="false">Détail</a>
			<a class="nav-item nav-link" id="nav-profile-tab" data-toggle="tab" href="#nav-profile" role="tab" aria-controls="nav-profile" aria-selected="false">Commentaires</a>
			<a class="nav-item nav-link" id="nav-contact-tab" data-toggle="tab" href="#nav-contact" role="tab" aria-controls="nav-contact" aria-selected="false">Postez un commentaire</a>

		</div>
	</nav>
	<div class="tab-content" id="nav-tabContent">
		<div class="tab-pane fade show active" id="nav-home" role="tabpanel" aria-labelledby="nav-home-tab">
			<div class="container container-img-details">
				<img class="img-details" src="{{ asset ('img/section/') ~ courses.image }}" alt="">
			<div class="container">
				<h2>Description</h2>
				<p>{{ courses.smallDescription }}</p>
				<h2>Informations</h2>
				<p>Prix :
					{{ courses.price }}
					&euro;</p>
				<p>Durée :
					{{ courses.duration }}
					ans</p>
				<p>Catégorie :
					{{ courses.category.name }}
				</p>
				<p>Ajouté le:
					{{ courses.createdAt|date('d/m/Y') }}
				</p>
				<p>Horaire :
																				                    Monday
				</p>
				<p>Niveau :
					<button type="button" class="btn btn-secondary" data-toggle="tooltip" data-placement="top" title="{{ courses.level.prerequisite }}">{{ courses.level.name }}</button>
				</p>
				<a class="btn btn-primary" href="{{ path ('addReserve', {id:courses.id}) }}">S'inscrire</a>
			</div>
		</div>
	</div>

	<div class="tab-pane fade" id="nav-detail" role="tabpanel" aria-labelledby="nav-contact-tab">
		<div class="col-md-10 offset-1">
			<div class='container'>
				<h2 class="my-4">Détail</h2>
				{{ courses.fullDescription|raw }}
				<input type="hidden" value="">
				<br>
				<a href="{{ asset ('programme/download.php?file=programme.pdf')}}" class="btn btn-primary btn-dl">Télécharger le programme</a>
			</div>
		</div>
	</div>

	<div class="tab-pane fade" id="nav-profile" role="tabpanel" aria-labelledby="nav-profile-tab">
		<div class=" container list-group">
			<div class="container">
				<h2>Liste des commentaires</h2>
				{% set comNumber = "0" %}
				{% set evalGlob = "0"%}
				{% set total = 0 %}
				{% for comment in comments %}
					{% set comNumber = loop.length %}
					{% set total = total + comment.rating %}
					{% set evalGlob = total / loop.length %}
				{% endfor %}

				<div class="container">
					<p>Note global :
						{% for i in 1..5 %}
							{% set starGlob = (evalGlob >= i ? "fas fa-star" : "far fa-star") %}
							<i class="{{ starGlob }}"></i>
						{% endfor %}
					</p>
					<p>Calculée sur :
						{{ comNumber }}
						commentaires</p>
				</div>


				{% for comment in comments %}

					<div class="list-group-item">

						<div class="justify-content-between">
							<small>{{ comment.createdAt|date('d/m/Y') }}</small>
						</div>
						<p class="mb-1">{{ comment.content }}</p>
						<small>
							<span class="bold">Ecrit par :
								{{ comment.user.userName }}

							</span>
						</small>
						<div class="rating">
							{% for i in 1..5 %}
								{% set starClass = (comment.rating >= i ? "fas fa-star" : "far fa-star") %}
								<i class="{{ starClass }}"></i>
							{% endfor %}
						</div>
					</div>
				{% endfor %}
			</div>

		</div>
	</div>
	<div class="tab-pane fade" id="nav-contact" role="tabpanel" aria-labelledby="nav-contact-tab">
		<div class="col-md-10 offset-1">
			<div class='container'>
				<h2 class="my-4">Postez un commentaire</h2>
				<div>
					{% if not app.user %}
						<p>Veuillez vous Connecter ou créer un compte</p>
						<a class="btn btn-primary" href="{{ path('registration') }}">S'inscrire</a>
						<a class="btn btn-success" href="{{ path('login') }}">Connexion</a>

					{% else %}
					{{form(form)}}
					</div>
					

				{% endif %}
			</div>
		</div>
	</div>
</div>{% endblock %}
